Convert Special:NewPages to OOUI
Closed, ResolvedPublic

Description

Already uses HTMLForm.

BeforeAfter
Florian created this task.Nov 4 2015, 5:23 PM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Normal.
Florian added a project: UI-Standardization.

Change 276946 had a related patch set uploaded (by Pankajeshkr):
Changed SpecialNewpages to use OOui

https://gerrit.wikimedia.org/r/276946

Change 276947 had a related patch set uploaded (by Pankajeshkr):
Changed Special_Newpages to use OOui

https://gerrit.wikimedia.org/r/276947

pankajeshkr removed pankajeshkr as the assignee of this task.Mar 12 2016, 12:05 PM
pankajeshkr added a subscriber: pankajeshkr.

Change 276947 abandoned by Pankajeshkr:
Changed Special_Newpages to use OOui

https://gerrit.wikimedia.org/r/276947

  • The hardcoded wrapper <fieldset> should probably be removed too.
  • There's no OOUI version of HTMLTagFilter.

  • The hardcoded wrapper <fieldset> should probably be removed too.
  • There's no OOUI version of HTMLTagFilter.

matmarex, so this would get only fixed if we have an OOUI version of tag-filter ? Is there a task for that one, or is already done ?

Yeah. I don't know of any tasks. It's not done, but it seems fairly easy
– all the pieces are there and they just need to be connected.
ChangeTags::buildTagFilterSelector() already has an option to return
an OOjs UI widget, so HTMLTagFilter just needs to have a
getInputOOUI() method added that would call that and return the widget.

Change 311758 had a related patch set uploaded (by Florianschmidtwelzow):
HTMLForm: Implement OOUI version of HTMLTagFilter

https://gerrit.wikimedia.org/r/311758

Florian added a comment.EditedSep 20 2016, 6:45 PM


and

Ok, the recent version I uploaded changed the changetag filter a bit, so that it suggests the filter, which are currently available, insteaad of requireing the user to type the tag in. However, because of recentchanges in the form, there's one more form element, which does not support OOUI:

Change 311758 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Implement OOUI version of HTMLTagFilter

https://gerrit.wikimedia.org/r/311758

Florian closed this task as Resolved.Sep 17 2017, 8:05 PM
Florian claimed this task.

The patch seems for converting to OOUI is not merged yet. Just saying :P

Florian reopened this task as Open.Sep 17 2017, 8:17 PM
Florian removed Florian as the assignee of this task.

Ah damn :D Sorry, just saw my change merged, and I thought I uploaded one to change NewPages, too (as I saw my example image) :P Thanks for pointing to this @Ladsgroup :D

Change 276946 had a related patch set uploaded (by VolkerE; owner: Pankajeshkr):
[mediawiki/core@master] Changed Special:NewPages to use OOUI

https://gerrit.wikimedia.org/r/276946

Volker_E updated the task description. (Show Details)May 20 2018, 12:36 PM

Change 276946 merged by jenkins-bot:
[mediawiki/core@master] Special:NewPages: Change to use OOUI

https://gerrit.wikimedia.org/r/276946

Volker_E closed this task as Resolved.EditedJul 31 2018, 12:49 PM
Volker_E assigned this task to pankajeshkr.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.
Volker_E added a subscriber: Volker_E.

Thanks @pankajeshkr for the bunch of work here!